NisusWrtStruct::Position Struct Reference documentation

NisusWrtStruct::Position Struct Reference

a position More...

`#include <NisusWrtStruct.hxx>`

## Classes
struct | Compare
| a comparaison structure used to sort the position More...

## Public Member Functions
| Position ()
| the constructor
bool | operator== (Position const &p2) const
| operator==
bool | operator!= (Position const &p2) const
| operator!=
int | cmp (Position const &p2) const
| a small compare operator

## Public Attributes
int | m_paragraph
| the paragraph
int | m_word
| the word
int | m_char
| the character position

## Friends
std::ostream & | operator<< (std::ostream &o, Position const &pos)
| operator<<: prints data in form "XxYxZ"

## Detailed Description

a position

## Constructor & Destructor Documentation

## ◆ Position()

NisusWrtStruct::Position::Position | ( |  | ) |
| inline

the constructor

Referenced by cmp(), operator!=(), NisusWrtStruct::Position::Compare::operator()(), operator<<, and operator==().

## Member Function Documentation

## ◆ cmp()

int NisusWrtStruct::Position::cmp | ( | Position const & | p2 | ) | const
| inline

a small compare operator

Referenced by operator!=(), NisusWrtStruct::Position::Compare::operator()(), and operator==().

## ◆ operator!=()

bool NisusWrtStruct::Position::operator!= | ( | Position const & | p2 | ) | const
| inline

operator!=

## ◆ operator==()

bool NisusWrtStruct::Position::operator== | ( | Position const & | p2 | ) | const
| inline

operator==

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Position const & | pos )
| friend

operator<<: prints data in form "XxYxZ"

## Member Data Documentation

## ◆ m_char

int NisusWrtStruct::Position::m_char

the character position

Referenced by cmp(), NisusWrtText::findFilePos(), operator<<, Position(), NisusWrtText::readFootnotes(), NisusWrtText::readPosToFont(), and NisusWrtText::sendText().

## ◆ m_paragraph

int NisusWrtStruct::Position::m_paragraph

the paragraph

Referenced by cmp(), NisusWrtText::findFilePos(), operator<<, Position(), NisusWrtText::readFootnotes(), NisusWrtText::readHeaderFooter(), NisusWrtText::readParagraphs(), NisusWrtText::readPICD(), NisusWrtText::readPosToFont(), NisusWrtText::sendFootnote(), NisusWrtText::sendHeaderFooter(), and NisusWrtText::sendText().

## ◆ m_word

int NisusWrtStruct::Position::m_word

the word

Referenced by cmp(), NisusWrtText::findFilePos(), operator<<, Position(), NisusWrtText::readFootnotes(), NisusWrtText::readPosToFont(), and NisusWrtText::sendText().

The documentation for this struct was generated from the following file:

- NisusWrtStruct.hxx